Cyberduck Mountain Duck CLI

#193 closed defect (fixed)

Spring loaded folders lock up applications when...

Reported by: tyler@… Owned by: dkocher
Priority: normal Milestone: 2.7
Component: interface Version: 2.5.4
Severity: normal Keywords: beachball, turkey, drag-drop
Cc: tyler@… Architecture:
Platform:

Description

Spring loaded folders, while a nice feature, lock up drag-drop operations when Cyberduck has to execute an FTP list command on a folder with say, 300 entries, and wait for the results, causing the silly beachball of death. In 2.5.4 it's gotten even worse, dragging into an ftp share with lots of folders, it fetched a listing for the first folder I dragged over, despite the lack of a hover, or drop operation

I'm working on setting up a preference checkbox to toggle this behaviour on and off right now.

Change History (3)

comment:1 Changed on Feb 8, 2006 at 11:12:42 AM by dkocher

A contributed patch would certainly be appreciated.

comment:2 Changed on Feb 12, 2006 at 1:58:34 AM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

See #98 for turning spring loaded folders aka autoexpanding folders off.

comment:3 Changed on Oct 13, 2006 at 10:31:24 AM by dkocher

  • Milestone set to 2.6.3
Note: See TracTickets for help on using tickets.
swiss made software